//--------------------------------------------------------------
// File     : main.c
// Datum    : 29.03.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der OV9655-Library (Camera per DCMI)
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_ov9655.h"

int main(void)
{
  OV9655_ERR_t check;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom Camera-Modul (OV9655)
  check=UB_OV9655_Init();
  if(check==OV9655_OK) {
    // wenn alles OK -> Capture-Mode starten
	UB_OV9655_CaptureStart();
  }
  else {
    // bei einem Fehler
	// roten Bildschirm anzeigen
	UB_LCD_FillScreen(RGB_COL_RED);
  }

  while(1)
  {

  }
}

